'use strict';

const utils = require('../../packages/stack/src/plugins/utils.cjs');
const yar = require('@btst/yar');
const client = require('better-call/client');

function defineClientPlugin(plugin) {
  return plugin;
}

exports.createApiClient = utils.createApiClient;
exports.isConnectionError = utils.isConnectionError;
exports.runClientHookWithShim = utils.runClientHookWithShim;
exports.createRoute = yar.createRoute;
exports.createRouter = yar.createRouter;
exports.createClient = client.createClient;
exports.defineClientPlugin = defineClientPlugin;
